SYD-OCI(1)

# NAME

syd-oci - syd's OCI container runtime

# SYNOPSIS

*syd-oci* _[OPTIONS]_ _[COMMAND]_

# DESCRIPTION

*syd-oci* is a OCI container runtime implementation for syd.

Supported subcommands are create, start, state, kill and delete.

# OPTIONS

|[ *-h*, *--help*
:< Show usage and exit.
|[ *-v*, *--version*
:< Show version and exit.
|[ *--debug*
:< Enable debug logging.
|[ *--log* _path_
:< Set the log destination to path.
|[ *--log-format* _text|json_
:< Set the log format.
|[ *--root* _path_
:< Set the root directory to store containers' state.
|[ *--systemd-cgroup*
:< Enable systemd cgroup support.
|[
:< The path should be located on tmpfs.
|[
:< Default is /run/syd, or $XDG_RUNTIME_DIR/syd for rootless containers.
|[ *--rootless* _true|false|auto_
:< Enable or disable rootless mode.
|[
:< Default is auto, meaning to auto-detect whether rootless should be enabled.

# SEE ALSO

_syd_(1), _syd_(2), _syd_(5), _syd_(7)

*syd* homepage: https://sydbox.exherbolinux.org/

# AUTHORS

Maintained by Ali Polatel. Up-to-date sources can be found at
https://git.sr.ht/~alip/syd and bugs/patches can be submitted by email to
~alip/sydbox-devel@lists.sr.ht. Exherbo related bugs/issues can be submitted to
https://gitlab.exherbo.org/groups/sydbox/-/issues. Discuss in #sydbox on Libera
Chat.
